Subject: bug#5345: Password asked when visiting a file in a lightweight checkout

From: Reiner Steib <[email-masked]>
Date: Tue, 12 Jan 2010 19:09:16 +0100

On Sun, Jan 10 2010, Lennart Borgman wrote:

> On Sun, Jan 10, 2010 at 9:21 PM, Juanma Barranquero <[email-masked]> wrote:
>> BTW, please take a look at
>> http://en.wikipedia.org/wiki/File_URI_scheme  (even if you don't trust
>> the Wikipedia, the entry is quite informative).
>
> Ah, I see what you mean. I still suspect Reiners interpretation is the
> same as the one the confused specs, but it does not work on w32 (as
> you also said).

Well the relative path (starting from the "top level") for /etc/fstab
is etc/fstab, whereas the one for c:/autoexec.bat is c:/autoexec.bat
(not autoexec.bat nor :/autoexec.bat nor /autoexec.bat).

Omitting the drive make no sense on windows.  Omitting the "/"
separator (<host>/<path>) also makes no sense, because it would be
ambiguous ...

E.g. host = sti, c:/k
-->  ftp://sti/c:/k.txt
-->  ftp://stic:/k.txt --> huch?  host = stic, port = emtpy, path = k.txt?

BTW: RFC 1738 is superseded by RFC 2396 and the latter by RFC 3986
(STD 66).  (I didn't read them, though :-))

Bye, Reiner.
-- 
       ,,,
      (o o)
---ooO-(_)-Ooo---  |  PGP key available  |  http://rsteib.home.pages.de/